Contracts
Get ERC20 balance history
Retrieve the historical daily balances of ERC20 tokens ever held by a contract address.
GET
/
contracts
/
{contractAddress}
/
erc20-balance-history
Get ERC20 balance history
curl --request GET \
--url https://public-api.voyager.online/beta/contracts/{contractAddress}/erc20-balance-history \
--header 'x-api-key: <api-key>'import requests
url = "https://public-api.voyager.online/beta/contracts/{contractAddress}/erc20-balance-history"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://public-api.voyager.online/beta/contracts/{contractAddress}/erc20-balance-history', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://public-api.voyager.online/beta/contracts/{contractAddress}/erc20-balance-history",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://public-api.voyager.online/beta/contracts/{contractAddress}/erc20-balance-history"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://public-api.voyager.online/beta/contracts/{contractAddress}/erc20-balance-history")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://public-api.voyager.online/beta/contracts/{contractAddress}/erc20-balance-history")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body[
{
"address": "0x04718f5a0fc34cc1af16a1cdee98ffb20c31f5cd61d6ab07201858f4287c938d",
"name": "Starknet",
"symbol": "strk",
"decimals": 18,
"balance": "1191499627201360392279",
"logo": "https://coin-images.coingecko.com/coins/images/26433/small/starknet.png?1696525507",
"isVerified": true,
"lastTransferTime": 1733356800,
"balanceHistory": [
{
"day": "2025-12-02",
"balance": "1191499627201360392279"
},
{
"day": "2025-12-03",
"balance": "1191499627201360392279"
},
{
"day": "2025-12-04",
"balance": "1191499627201360392279"
}
]
}
]{
"error": "<string>"
}{
"message": "Forbidden"
}{
"error": "<string>"
}{
"message": "Limit Exceeded"
}Authorizations
API key for authentication. Get your key at https://voyager.online/plans
Path Parameters
Starknet contract address (0x-prefixed hex).
Pattern:
^(0x[0-9a-fA-F]{1,66})$Query Parameters
Time window: "1w", "1m", "3m", "6m", or "1y". Defaults to "1m".
Available options:
1y, 1m, 3m, 6m, 1w Token contract address (0x-prefixed hex).
Pattern:
^(0x[0-9a-fA-F]{1,66})$⌘I
Get ERC20 balance history
curl --request GET \
--url https://public-api.voyager.online/beta/contracts/{contractAddress}/erc20-balance-history \
--header 'x-api-key: <api-key>'import requests
url = "https://public-api.voyager.online/beta/contracts/{contractAddress}/erc20-balance-history"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://public-api.voyager.online/beta/contracts/{contractAddress}/erc20-balance-history', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://public-api.voyager.online/beta/contracts/{contractAddress}/erc20-balance-history",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://public-api.voyager.online/beta/contracts/{contractAddress}/erc20-balance-history"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://public-api.voyager.online/beta/contracts/{contractAddress}/erc20-balance-history")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://public-api.voyager.online/beta/contracts/{contractAddress}/erc20-balance-history")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body[
{
"address": "0x04718f5a0fc34cc1af16a1cdee98ffb20c31f5cd61d6ab07201858f4287c938d",
"name": "Starknet",
"symbol": "strk",
"decimals": 18,
"balance": "1191499627201360392279",
"logo": "https://coin-images.coingecko.com/coins/images/26433/small/starknet.png?1696525507",
"isVerified": true,
"lastTransferTime": 1733356800,
"balanceHistory": [
{
"day": "2025-12-02",
"balance": "1191499627201360392279"
},
{
"day": "2025-12-03",
"balance": "1191499627201360392279"
},
{
"day": "2025-12-04",
"balance": "1191499627201360392279"
}
]
}
]{
"error": "<string>"
}{
"message": "Forbidden"
}{
"error": "<string>"
}{
"message": "Limit Exceeded"
}